from netgen.geom2d import SplineGeometry

geom = SplineGeometry()
pnts = [(0,0),(0.6,0),(1,0),(1,1),(0.7,1),(0,1),
        (0.3,0.5),(0.5,0.5)]
pind = [geom.AddPoint(*pnt) for pnt in pnts]

# outer lines, point id 1, point id 2, boundary name
lines = [[0,1,"bottom"],
         [1,2,"bottom"],
         [2,3,"right"],
         [3,4,"top"],
         [4,5,"top"],
         [5,0,"left"]]
for line in lines:
    geom.Append(["line",line[0],line[1]],bc=line[2])

# inner lines, point id 1, point id 2,
innerlines = [[1,6],[4,7]]
for line in innerlines:
    geom.Append(["line",line[0],line[1]],leftdomain=1,rightdomain=1,maxh=0.025) # left- and rightdomain have to be the same!!!

ngmesh = geom.GenerateMesh(maxh=0.25)

from ngsolve import *
Draw(Mesh(ngmesh))
